> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Post multiple orders

> Submit multiple orders to the CLOB API in a single request. Maximum array length is 15.



## OpenAPI

````yaml openapi/polymarket-clob.json POST /apis/v1/polymarket/orders
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Clob
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/batch-prices-history
    - /apis/v1/polymarket/book
    - /apis/v1/polymarket/books
    - /apis/v1/polymarket/builder/trades
    - /apis/v1/polymarket/cancel-all
    - /apis/v1/polymarket/cancel-market-orders
    - /apis/v1/polymarket/clob-markets/{condition_id}
    - /apis/v1/polymarket/data/orders
    - /apis/v1/polymarket/fee-rate
    - /apis/v1/polymarket/fee-rate/{token_id}
    - /apis/v1/polymarket/heartbeats
    - /apis/v1/polymarket/last-trade-price
    - /apis/v1/polymarket/last-trades-prices
    - /apis/v1/polymarket/markets-by-token/{token_id}
    - /apis/v1/polymarket/midpoint
    - /apis/v1/polymarket/midpoints
    - /apis/v1/polymarket/order
    - /apis/v1/polymarket/order-scoring
    - /apis/v1/polymarket/order/{orderID}
    - /apis/v1/polymarket/orders
    - /apis/v1/polymarket/price
    - /apis/v1/polymarket/prices
    - /apis/v1/polymarket/prices-history
    - /apis/v1/polymarket/rebates/current
    - /apis/v1/polymarket/rewards/markets/current
    - /apis/v1/polymarket/rewards/markets/multi
    - /apis/v1/polymarket/rewards/markets/{condition_id}
    - /apis/v1/polymarket/rewards/user
    - /apis/v1/polymarket/rewards/user/markets
    - /apis/v1/polymarket/rewards/user/percentages
    - /apis/v1/polymarket/rewards/user/total
    - /apis/v1/polymarket/sampling-markets
    - /apis/v1/polymarket/sampling-simplified-markets
    - /apis/v1/polymarket/simplified-markets
    - /apis/v1/polymarket/spread
    - /apis/v1/polymarket/spreads
    - /apis/v1/polymarket/tick-size
    - /apis/v1/polymarket/tick-size/{token_id}
    - /apis/v1/polymarket/time
    - /apis/v1/polymarket/trades
  x-aisa-document:
    facts_hash: cb2482955528ad5270b2f3cf84d72a7f4ada570d5e717c4d116ddc6ef1099af2
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:40638f56dd77ff988621358162b7f238b3c7ced8cc4eb76ecd1ba9d2f4b68fc9
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-clob
  x-aisa-catalogs:
    polymarket-clob:
      title: Polymarket Clob
      description: ''
      x-aisa-document:
        facts_hash: cb2482955528ad5270b2f3cf84d72a7f4ada570d5e717c4d116ddc6ef1099af2
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/orders:
    post:
      tags:
        - default
      summary: Post multiple orders
      description: >-
        Submit multiple orders to the CLOB API in a single request. Maximum
        array length is 15.
      operationId: post_get_polymarket-orders
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                required:
                  - order
                  - owner
                properties:
                  order:
                    type: object
                    description: >
                      Order payload submitted to the CLOB API. In CLOB V2,
                      `expiration` remains in

                      the POST /order wire body for GTD/order-expiry handling,
                      but it is not part

                      of the EIP-712 signed order struct.
                    required:
                      - maker
                      - signer
                      - tokenId
                      - makerAmount
                      - takerAmount
                      - side
                      - expiration
                      - timestamp
                      - builder
                      - signature
                      - salt
                      - signatureType
                    properties:
                      maker:
                        type: string
                        description: >-
                          Ethereum address of the maker (In the default case,
                          this is your proxy address)
                        example: '0x1234567890123456789012345678901234567890'
                      signer:
                        type: string
                        description: Ethereum address of the signer
                        example: '0x1234567890123456789012345678901234567890'
                      tokenId:
                        type: string
                        description: Token ID (asset ID) for the order
                        example: 0xabc123def456...
                      makerAmount:
                        type: string
                        description: >-
                          Amount the maker is providing in fixed-math with 6
                          decimals
                        example: '100000000'
                      takerAmount:
                        type: string
                        description: >-
                          Amount the taker is providing in fixed-math with 6
                          decimals
                        example: '200000000'
                      side:
                        type: string
                        description: Order side
                        enum:
                          - BUY
                          - SELL
                        example: BUY
                      expiration:
                        type: string
                        description: >-
                          Unix timestamp when the order expires. Present in the
                          API wire body; not part of the CLOB V2 EIP-712 signed
                          order struct.
                        example: '1735689600'
                      timestamp:
                        type: string
                        description: >-
                          Unix timestamp in milliseconds when the order was
                          created (used for order uniqueness)
                        example: '1735689600000'
                      metadata:
                        type: string
                        description: Reserved for future use
                        example: ''
                      builder:
                        type: string
                        description: >-
                          Builder code (bytes32) for integrator attribution.
                          `0x` + 64 hex chars or empty.
                        example: >-
                          0x0000000000000000000000000000000000000000000000000000000000000000
                      signature:
                        type: string
                        description: Cryptographic signature of the order
                        example: 0x1234abcd...
                      salt:
                        type: integer
                        description: Random salt for order uniqueness
                        example: 1234567890
                      signatureType:
                        type: integer
                        description: >-
                          Type of signature (0 = EOA, 1 = POLY_PROXY, 2 =
                          POLY_GNOSIS_SAFE)
                        enum:
                          - 0
                          - 1
                          - 2
                  owner:
                    type: string
                    description: UUID of the API key owner
                    example: f4f247b7-4ac7-ff29-a152-04fda0a8755a
                  orderType:
                    type: string
                    description: Time in force
                    enum:
                      - GTC
                      - FOK
                      - GTD
                      - FAK
                    default: GTC
                  deferExec:
                    type: boolean
                    description: Whether to defer execution
                    default: false
                  postOnly:
                    type: boolean
                    description: >-
                      Whether the order must rest on the book and not match
                      immediately. Only supported for GTC and GTD orders.
                    default: false
              maxItems: 15
            examples:
              example:
                summary: Send multiple orders example
                value:
                  - order:
                      maker: '0x1234567890123456789012345678901234567890'
                      signer: '0x1234567890123456789012345678901234567890'
                      tokenId: 0xabc123def456...
                      makerAmount: '100000000'
                      takerAmount: '200000000'
                      side: BUY
                      expiration: '1735689600'
                      timestamp: '1735689600000'
                      metadata: ''
                      builder: >-
                        0x0000000000000000000000000000000000000000000000000000000000000000
                      signature: 0x1234abcd...
                      salt: 1234567890
                      signatureType: 0
                    owner: f4f247b7-4ac7-ff29-a152-04fda0a8755a
                    orderType: GTC
                    deferExec: false
                    postOnly: false
                  - order:
                      maker: '0x1234567890123456789012345678901234567890'
                      signer: '0x1234567890123456789012345678901234567890'
                      tokenId: 0xdef456abc789...
                      makerAmount: '200000000'
                      takerAmount: '100000000'
                      side: SELL
                      expiration: '1735689600'
                      timestamp: '1735689600000'
                      metadata: ''
                      builder: >-
                        0x0000000000000000000000000000000000000000000000000000000000000000
                      signature: 0x5678efgh...
                      salt: 1234567891
                      signatureType: 0
                    owner: f4f247b7-4ac7-ff29-a152-04fda0a8755a
                    orderType: GTC
                    deferExec: false
                    postOnly: false
      responses:
        '200':
          description: >-
            Orders successfully processed. Returns an array of order responses,
            one for each order in the request.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseE58613C05201_SendOrderResponse'
              examples:
                mixed_results:
                  summary: Mixed order results
                  value:
                    - success: true
                      orderID: '0xabcdef1234567890abcdef1234567890abcdef12'
                      status: live
                      makingAmount: '100000000'
                      takingAmount: '200000000'
                      errorMsg: ''
                    - success: true
                      orderID: '0xfedcba0987654321fedcba0987654321fedcba09'
                      status: matched
                      makingAmount: '200000000'
                      takingAmount: '100000000'
                      transactionsHashes:
                        - '0x1234567890abcdef1234567890abcdef12345678'
                      tradeIDs:
                        - trade-123
                      errorMsg: ''
                    - success: false
                      orderID: ''
                      status: delayed
                      errorMsg: 'Rate limit exceeded for tokenId: 0xdef456abc789...'
                post_only_mode:
                  summary: Post-only mode results
                  value:
                    - errorMsg: >-
                        post-only mode: only post-only orders and cancels are
                        allowed
                      orderID: ''
                      takingAmount: ''
                      makingAmount: ''
                      status: ''
                      success: true
                    - errorMsg: >-
                        post-only mode: only post-only orders and cancels are
                        allowed
                      orderID: ''
                      takingAmount: ''
                      makingAmount: ''
                      status: ''
                      success: true
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseE58613C05201_SendOrderResponse:
      type: object
      required:
        - success
        - orderID
        - status
      properties:
        success:
          type: boolean
          description: Whether the order was successfully processed
          example: true
        orderID:
          type: string
          description: Unique identifier for the order (order hash)
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
        status:
          type: string
          description: Status of the order after processing
          enum:
            - live
            - matched
            - delayed
        makingAmount:
          type: string
          description: Amount the maker is providing in fixed-math with 6 decimals
          example: '100000000'
        takingAmount:
          type: string
          description: Amount the taker is providing in fixed-math with 6 decimals
          example: '200000000'
        transactionsHashes:
          type: array
          description: Array of transaction hashes (present when status is 'matched')
          items:
            type: string
          example:
            - '0x1234567890abcdef1234567890abcdef12345678'
        tradeIDs:
          type: array
          description: Array of trade IDs (present when status is 'matched')
          items:
            type: string
        errorMsg:
          type: string
          description: Error message (empty on success)
          example: ''
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.